u1db-qt documentation building failure with Qt 5.2

Bug #1271027 reported by Timo Jyrinki on 2014-01-21
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Christian Dywan

Bug Description

u1db-qt fails to build documentation with Qt 5.2:


This should be resolved similar to ubuntu-ui-toolkit, ie. it should work with both Qt 5.0 and 5.2 via for example #ifdef:s or similar.

Christian Dywan (kalikiana) wrote :

/build/buildd/u1db-qt-0.1.5+13.10.20130916/documentation/overview.qdoc:20: warning: Can't link to 'Ubuntu User Interface Toolkit'
/build/buildd/u1db-qt-0.1.5+13.10.20130916/documentation/u1db.tutorial.qdoc:1: warning: Can't link to 'Standard'

In practise this means /usr/share/ubuntu-ui-toolkit/doc/html/ubuntuuserinterfacetoolkit.index is missing

Is it possible it was disabled as part of a work-around to get ubuntu-ui-toolkit building with Qt 5.2?

Changed in u1db-qt:
status: New → Incomplete
Bill Filler (bfiller) on 2014-01-21
Changed in u1db-qt:
assignee: nobody → Christian Dywan (kalikiana)
Timo Jyrinki (timo-jyrinki) wrote :

No, it still looks like the file is there:
$ dpkg -L ubuntu-ui-toolkit-doc | grep ubuntuuserinterfacetoolkit.index

ubuntu-ui-toolkit-doc version 1:0.1.46+14.04.20131216-0~919+201401180719~ubuntu14.04.1+disabletests6

The u1db-qt build was from a week ago though, so I now scheduled a new build. It will be visible on this page soon:

Changed in u1db-qt:
status: Incomplete → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

Seems fixed now, now tests fail bug #1271474

Changed in u1db-qt:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers